---
title: RTCIceCandidateStats.networkType
slug: Web/API/RTCIceCandidateStats/networkType
tags:
  - API
  - Candidate
  - Connection
  - Connectivity
  - Network
  - Networking
  - Property
  - RTCIceCandidateStats
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - networkType
---
<p>{{APIRef("WebRTC")}}{{obsolete_header}}</p>

<p>The {{domxref("RTCIceCandidateStats")}} dictionary's <code><strong>networkType</strong></code> property specifies the type of network used by a local candidate to communicate with a remote peer.</p>

<div class="notecard note">
<p><strong>Note:</strong> The <code>networkType</code> property is only included in <code>RTCIceCandidateStats</code> objects for local candidates (that is, candidates generated locally and included in an {{Glossary("SDP")}} offer or answer that has been sent to the remote peer).</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>networkType</em> = <em>rtcIceCandidateStats</em>.networkType;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} whose value is taken from the {{domxref("RTCNetworkType")}} enumerated type. The string indicates the type of network connection that the described candidate would use to communicate with the other peer.</p>

<p>The permitted values are:</p>

<p>{{page("/en-US/docs/Web/API/RTCNetworkType", "Values")}}</p>

<h2 id="Example">Example</h2>

<p>This example sets up a periodic function using {{domxref("WindowOrWorkerGlobalScope.setInterval", "setInterval()")}} that outputs statistics reports for candidates that use or would use a cellular data network to a log view.</p>

<pre class="brush: js; highlight[4]">window.setInterval(function() {
  myPeerConnection.getStats(null).then(stats =&gt; {
    let statsOutput = "";

    stats.forEach(report =&gt; {
      if ((stats.type === "local-candidate" || stats.type === "remote.candidate") &amp;&amp; stats.networkType === "cellular") {
        statsOutput += `&lt;h2&gt;Report: ${report.type}&lt;/h3&gt;\n&lt;strong&gt;ID:&lt;/strong&gt; ${report.id}&lt;br&gt;\n` +
                       `&lt;strong&gt;Timestamp:&lt;/strong&gt; ${report.timestamp}&lt;br&gt;\n`;

        // Now the statistics for this report; we intentially drop the ones we
        // sorted to the top above

        Object.keys(report).forEach(statName =&gt; {
          if (statName !== "id" &amp;&amp; statName !== "timestamp" &amp;&amp; statName !== "type") {
            statsOutput += `&lt;strong&gt;${statName}:&lt;/strong&gt; ${report[statName]}&lt;br&gt;\n`;
          }
        });
      }
    });

    document.querySelector(".stats-box").innerHTML = statsOutput;
  });
}, 1000);</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidateStats.networkType")}}</p>
